

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.15.24. time_classify_day_of_week &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.15.25. time_classify_hour" href="time_classify_hour.html" />
    <link rel="prev" title="7.15.23. time_classify_day" href="time_classify_day.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/functions/time_classify_day_of_week.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="time_classify_hour.html" title="7.15.25. time_classify_hour"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="time_classify_day.html" title="7.15.23. time_classify_day"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" accesskey="U"><span class="section-number">7.15. </span>Function</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.24. </span><code class="docutils literal notranslate"><span class="pre">time_classify_day_of_week</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="time-classify-day-of-week">
<h1><span class="section-number">7.15.24. </span><code class="docutils literal notranslate"><span class="pre">time_classify_day_of_week</span></code><a class="headerlink" href="#time-classify-day-of-week" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.15.24.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">New in version 8.0.5.</span></p>
</div>
<p>It returns the day of the week of the given time as a <code class="docutils literal notranslate"><span class="pre">UInt8</span></code>
value. <code class="docutils literal notranslate"><span class="pre">0</span></code> is Sunday. <code class="docutils literal notranslate"><span class="pre">6</span></code> is Saturday.</p>
<p>To enable this function, register <code class="docutils literal notranslate"><span class="pre">functions/time</span></code> plugin by the
following command:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register functions/time
</pre></div>
</div>
</div>
<div class="section" id="syntax">
<span id="time-classify-day-of-the-week-syntax"></span><h2><span class="section-number">7.15.24.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p>This function has only one parameter:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>time_classify_day_of_week(time)
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.15.24.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p>You need to register <code class="docutils literal notranslate"><span class="pre">functions/time</span></code> plugin at first:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>plugin_register functions/time
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>Here is a schema definition and sample data.</p>
<p>Sample schema:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create  Memos TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Memos created_at COLUMN_SCALAR Time
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>Sample data:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>load --table Memos
[
{&quot;_key&quot;: &quot;Sunday&quot;,    &quot;created_at&quot;: &quot;2018-07-01 00:00:00&quot;},
{&quot;_key&quot;: &quot;Monday&quot;,    &quot;created_at&quot;: &quot;2018-07-02 00:00:00&quot;},
{&quot;_key&quot;: &quot;Tuesday&quot;,   &quot;created_at&quot;: &quot;2018-07-03 00:00:00&quot;},
{&quot;_key&quot;: &quot;Wednesday&quot;, &quot;created_at&quot;: &quot;2018-07-04 00:00:00&quot;},
{&quot;_key&quot;: &quot;Thursday&quot;,  &quot;created_at&quot;: &quot;2018-07-05 00:00:00&quot;},
{&quot;_key&quot;: &quot;Friday&quot;,    &quot;created_at&quot;: &quot;2018-07-06 00:00:00&quot;},
{&quot;_key&quot;: &quot;Saturday&quot;,  &quot;created_at&quot;: &quot;2018-07-07 00:00:00&quot;}
]
# [[0, 1337566253.89858, 0.000355720520019531], 7]
</pre></div>
</div>
<p>Here is a simple usage of <code class="docutils literal notranslate"><span class="pre">time_classify_day_of_week</span></code>:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>select \
  --table Memos \
  --output_columns &#39;_key, time_classify_day_of_week(created_at)&#39;
# [
#   [
#     0,
#     1337566253.89858,
#     0.000355720520019531
#   ],
#   [
#     [
#       [
#         7
#       ],
#       [
#         [
#           &quot;_key&quot;,
#           &quot;ShortText&quot;
#         ],
#         [
#           &quot;time_classify_day_of_week&quot;,
#           null
#         ]
#       ],
#       [
#         &quot;Sunday&quot;,
#         0
#       ],
#       [
#         &quot;Monday&quot;,
#         1
#       ],
#       [
#         &quot;Tuesday&quot;,
#         2
#       ],
#       [
#         &quot;Wednesday&quot;,
#         3
#       ],
#       [
#         &quot;Thursday&quot;,
#         4
#       ],
#       [
#         &quot;Friday&quot;,
#         5
#       ],
#       [
#         &quot;Saturday&quot;,
#         6
#       ]
#     ]
#   ]
# ]
</pre></div>
</div>
<p>It returns <code class="docutils literal notranslate"><span class="pre">0</span></code> for Sunday, <code class="docutils literal notranslate"><span class="pre">1</span></code> for Monday, … and <code class="docutils literal notranslate"><span class="pre">6</span></code> for
Saturday.</p>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.15.24.4. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p>The day of the week as <code class="docutils literal notranslate"><span class="pre">UInt8</span></code>. Here are available values:</p>
<table class="docutils align-default">
<colgroup>
<col style="width: 50%" />
<col style="width: 50%" />
</colgroup>
<thead>
<tr class="row-odd"><th class="head"><p>Value</p></th>
<th class="head"><p>The day of the week</p></th>
</tr>
</thead>
<tbody>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">0</span></code></p></td>
<td><p>Sunday</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">1</span></code></p></td>
<td><p>Monday</p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">2</span></code></p></td>
<td><p>Tuesday</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">3</span></code></p></td>
<td><p>Wednesday</p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">4</span></code></p></td>
<td><p>Thursday</p></td>
</tr>
<tr class="row-odd"><td><p><code class="docutils literal notranslate"><span class="pre">5</span></code></p></td>
<td><p>Friday</p></td>
</tr>
<tr class="row-even"><td><p><code class="docutils literal notranslate"><span class="pre">6</span></code></p></td>
<td><p>Saturday</p></td>
</tr>
</tbody>
</table>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.15.24. <code class="docutils literal notranslate"><span class="pre">time_classify_day_of_week</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.15.24.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.15.24.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.15.24.3. Usage</a></li>
<li><a class="reference internal" href="#return-value">7.15.24.4. Return value</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="time_classify_day.html"
                        title="previous chapter"><span class="section-number">7.15.23. </span><code class="docutils literal notranslate"><span class="pre">time_classify_day</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="time_classify_hour.html"
                        title="next chapter"><span class="section-number">7.15.25. </span><code class="docutils literal notranslate"><span class="pre">time_classify_hour</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="time_classify_hour.html" title="7.15.25. time_classify_hour"
             >next</a> |</li>
        <li class="right" >
          <a href="time_classify_day.html" title="7.15.23. time_classify_day"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../function.html" ><span class="section-number">7.15. </span>Function</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.15.24. </span><code class="docutils literal notranslate"><span class="pre">time_classify_day_of_week</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>